2 Replies Latest reply on Oct 23, 2009 9:09 AM by Ben Dilley

    .NET client & unsupported HTTP version

    mathieu fortin Newbie

      There is a problem with the solution specified in the JBossWSAndDotNet wiki concerning the HTTP version not supported and a .NET client problem. It it said to add the restrictedUserAgents param present in the server.xml file to the tomcat connector.

      <!-- Add this option to the connector to avoid problems with
       .NET clients that don't implement HTTP/1.1 correctly
       restrictedUserAgents="^.*MS Web Services Client Protocol 1.1.4322.*$"
       -->


      The regex used is partly wrong. In the .NET System.Web.Services.Protocols.HttpWebClientProtocol class documentation, it is stated that method UserAgent
      // Returns:
       // The value of the HTTP protocol user agent header. The default is "MS Web
       // Services Client Protocol number ", where number is the version of the common
       // language runtime (for example, 1.0.3705.0).


      Since the solution provided in the wiki and the server.xml is dependant on the client CLR version used, the regex should be changed to this:
      restrictedUserAgents="^.*MS Web Services Client Protocol.*$"